### Method

# Shumate VectorReaderIter get_reader

unstable since: 1.2

#### Declaration [src]

    ShumateVectorReader*
    shumate_vector_reader_iter_get_reader (
      ShumateVectorReaderIter* self
    )

#### Description [src]

Gets the reader that the iterator is iterating over.

Available since: 1.2

Gets property | `Shumate.VectorReaderIter:reader`

#### Return value

Type: `ShumateVectorReader`

The reader that the iterator is iterating over.

The data is owned by the instance.